// CHDK palette colors for the ixus130_sd1400
// Define color values as needed in this file.

#include "palette.h"
#include "platform_palette.h"

// Playback mode colors
unsigned char ply_colors[] =
{
        COLOR_TRANSPARENT,          // Placeholder for script colors
        COLOR_BLACK,                // Placeholder for script colors
        0x07,//0xD3,                       // White
        0x1e,//0x6A,                       // Red
        0x5e,//0x72,                       // Dark Red
        0x5C,                       // Light Red
        0x9f,//0xBF,                       // Green
        0x9f,//0x25,                       // Dark Green
        0x95,//0x51,                       // Light Green
        0x99,//0x90,                       // Blue
        0x9a,//0x90,                       // Dark Blue
        0x88,//0x7C,                       // Light Blue / Cyan
        0x17,//0x12,                       // Grey
        0x1b,//0x22,                       // Dark Grey
        0x11,//0x16,                       // Light Grey
        0x91,//00x53,                       // Yellow
        0x6c,//00x6F,                       // Dark Yellow
        0x90,//0x66,                       // Light Yellow
        0x9a,//0x22,                       // Transparent Dark Grey
        0x5f,//0x72,                       // Magenta=brown
};

// Record mode colors
unsigned char rec_colors[] =
{
        COLOR_TRANSPARENT,          // Placeholder for script colors
        COLOR_BLACK,                // Placeholder for script colors
        0x07,//0xD3,                       // White
        0x66,//0x6A,                       // Red
        0x66,//0x72,                       // Dark Red
        0x47,//0x5C,                       // Light Red
        0x69,//0xBF,                       // Green
        0x6b,//0x25,                       // Dark Green
        0x5f,//0x51,                       // Light Green
        0x67,//0x90,                       // Blue
        0x3c,//0x90,                       // Dark Blue
        0x33,//0x7C,                       // Light Blue / Cyan
        0x17,//0x12,                       // Grey
        0x1b,//0x22,                       // Dark Grey
        0x11,//0x16,                       // Light Grey
        0x60,//0x53,                       // Yellow
        0x45,//0x6F,                       // Dark Yellow
        0x6c,//0x66,                       // Light Yellow
        0x64,//0x22,                       // Transparent Dark Grey
        0x62,//0x72,                       // No Magenta
};

