// CHDK palette colors for the ixus970_sd890
// Define color values as needed in this file.

#include "palette.h"
#include "platform_palette.h"

// Playback mode colors
unsigned char ply_colors[] =
{
        COLOR_TRANSPARENT,          // Placeholder for script colors
        COLOR_BLACK,                // Placeholder for script colors
        0x13,//0x11,                       // White
        0x22,                       // Red
        0x2E,                       // Dark Red
        0x21,                       // Light Red
        0x55,                       // Green
        0x25,                       // Dark Green
        0x51,                       // Light Green
        0xfa,//0xCC,                       // Blue
        0xaf,//0xDF,                       // Dark Blue
        0x9a,//0xDD,                       // Light Blue / Cyan
        0x3F,                       // Grey
        0xfc,//0x44,                       // Dark Grey
        0x1F,                       // Light Grey
        0x66,                       // Yellow
        0x86,//0x6F,                       // Dark Yellow
        0x61,//0x66,                       // Light Yellow
        0x44,                       // Transparent Dark Grey
        0xE2,                       // Magenta
};

// Record mode colors
unsigned char rec_colors[] =
{
        COLOR_TRANSPARENT,          // Placeholder for script colors
        COLOR_BLACK,                // Placeholder for script colors
        0x13,//0x11,                       // White
        0x22,                       // Red
        0x2f,//0x2E,                       // Dark Red
        0x21,                       // Light Red
        0x55,                       // Green
        0x25,                       // Dark Green
        0x51,                       // Light Green
        0x7f,//0xDF,                       // Blue
        0xDF,                       // Dark Blue
        0xDD,                       // Light Blue / Cyan
        0x3F,                       // Grey
        0x44,                       // Dark Grey
        0x1F,                       // Light Grey
        0xc6,//0xEE,                       // Yellow
        0xe6,//0x6F,                       // Dark Yellow
        0x61,//0x66,                       // Light Yellow
        0x44,                       // Transparent Dark Grey
        0xe7,//0x66,                       // Magenta
};

