// CHDK palette colors for the ixus990_sd970
// Define color values as needed in this file.

#include "palette.h"
#include "platform_palette.h"

// Playback mode colors
unsigned char ply_colors[] =
{
        0x00, //COLOR_TRANSPARENT,          // Placeholder for script colors
        0x1d, //COLOR_BLACK,                // Placeholder for script colors
        0x07, //0x01,                       // White
        0x2c, //(CHDK_COLOR_BASE+0),        // Red
        0x6d, //(CHDK_COLOR_BASE+1),        // Dark Red  --brown
        0x6a, //(CHDK_COLOR_BASE+2),        // Light Red   /
        0xa7, //0xa7, //(CHDK_COLOR_BASE+3),        // Green
        0xac, //(CHDK_COLOR_BASE+4),        // Dark Green
        0x9e, //(CHDK_COLOR_BASE+5),        // Light Green
        0x27, //(CHDK_COLOR_BASE+6),        // Blue       -- =orange
        0x2c, //(CHDK_COLOR_BASE+7),        // Dark Blue  --
        0x1f, //(CHDK_COLOR_BASE+8),        // Light Blue / Cyan --
        0x16,                       // Grey
        0x1a,                       // Dark Grey
        0x10, //0x0E,                       // Light Grey
        0xaf, //(CHDK_COLOR_BASE+10),       // Yellow
        0xae, //(CHDK_COLOR_BASE+11),       // Dark Yellow
        0xad, //(CHDK_COLOR_BASE+12),       // Light Yellow
        0xb1, //(CHDK_COLOR_BASE+13),       // Transparent Dark Grey
        0xc0, //(CHDK_COLOR_BASE+9),        // Magenta
};

// Record mode colors
unsigned char rec_colors[] =
{
        COLOR_TRANSPARENT,          // Placeholder for script colors
        COLOR_BLACK,                // Placeholder for script colors
        0x01,                       // White
        (CHDK_COLOR_BASE+0),        // Red
        (CHDK_COLOR_BASE+1),        // Dark Red
        (CHDK_COLOR_BASE+2),        // Light Red
        (CHDK_COLOR_BASE+3),        // Green
        (CHDK_COLOR_BASE+4),        // Dark Green
        (CHDK_COLOR_BASE+5),        // Light Green
        (CHDK_COLOR_BASE+6),        // Blue
        (CHDK_COLOR_BASE+7),        // Dark Blue
        (CHDK_COLOR_BASE+8),        // Light Blue / Cyan
        0x16,                       // Grey
        0x1a,                       // Dark Grey
        0x0E,                       // Light Grey
        (CHDK_COLOR_BASE+10),       // Yellow
        (CHDK_COLOR_BASE+11),       // Dark Yellow
        (CHDK_COLOR_BASE+12),       // Light Yellow
        (CHDK_COLOR_BASE+13),       // Transparent Dark Grey
        (CHDK_COLOR_BASE+9),        // Magenta
};

