// CHDK palette colors for the ixus200_sd980
// Define color values as needed in this file.

#include "palette.h"
#include "platform_palette.h"

// Playback mode colors
unsigned char ply_colors[] = // NO reds(=brownies), blues(=transp.), magenta
{
        COLOR_TRANSPARENT,          // Placeholder for script colors
        COLOR_BLACK,                // Placeholder for script colors
        0x06,//0x11,                       // White
        0x2c,//0x22,                       // Red
        0x6d,//0x2E,                       // Dark Red
        0x21,                       // Light Red
        0xcb,//0x55,                       // Green
        0x25,                       // Dark Green
        0x51,                       // Light Green
        0xa4,//0xCC,                       // Blue
        0x9e,//0xDF,                       // Dark Blue
        0xa9,//0xDD,                       // Light Blue / Cyan
        0x3F,                       // Grey
        0x1c,//0x44,                       // Dark Grey
        0x14,//0x1F,                       // Light Grey
        0xbe,//0x66,                       // Yellow
        0xbd,//0x6F,                       // Dark Yellow
        0xbc,//0x66,                       // Light Yellow
        0xcc,//0x44,                       // Transparent Dark Grey
        0x6d,//0xE2,                       // Magenta
};

// Record mode colors
unsigned char rec_colors[] =
{
        COLOR_TRANSPARENT,          // Placeholder for script colors
        COLOR_BLACK,                // Placeholder for script colors
        0x01,//0x11,                       // White
        0xa0,//0x22,                       // Red
        0xdf,//0x2E,                       // Dark Red
        0xe6,//0x21,                       // Light Red
        0xaa,//0x55,                       // Green
        0x4a,//0x25,                       // Dark Green
        0x47,//0x51,                       // Light Green
        0xa1,//0xDF,                       // Blue
        0xa9,//0xDF,                       // Dark Blue
        0x50,//0xDD,                       // Light Blue / Cyan
        0x18,//0x3F,                       // Grey
        0x1a,//0x44,                       // Dark Grey
        0x13,//0x1F,                       // Light Grey
        0x9a,//0xEE,                       // Yellow
        0xd5,//0x6F,                       // Dark Yellow
        0x79,//0x66,                       // Light Yellow
        0xfe,//0x44,                       // Transparent Dark Grey
        0xa6,//0x66,                       // Magenta
};

