// CHDK palette colors for the ixus230_elph310hs
// Define color values as needed in this file.

#include "palette.h"
#include "platform_palette.h"

// Playback mode colors
unsigned char ply_colors[] =
{
        COLOR_TRANSPARENT,          // Placeholder for script colors
        COLOR_BLACK,                // Placeholder for script colors
        0x07,//0x01,                       // White
        0x9F,                       // Red
        0x5c,//0x9F,                       // Dark Red
        0x1E,                       // Light Red
        0xA0,                       // Green
        0xA0,                       // Dark Green
        0x9E,                       // Light Green
        0xa1,                       // Blue
        0xa1,                       // Dark Blue
        0x96,                       // Light Blue / Cyan
        0x15,//0x1a,                       // Grey
        0x1A,                       // Dark Grey
        0x11,                       // Light Grey
        0x9b,//0x55,                       // Yellow
        0x91,//0x55,                       // Dark Yellow
        0x90,//0x4C,                       // Light Yellow
        0x98,//0x1A,                       // Transparent Dark Grey
        0x5f,//0x3D,                       // Magenta
};

// Record mode colors
unsigned char rec_colors[] =
{
        COLOR_TRANSPARENT,          // Placeholder for script colors
        COLOR_BLACK,                // Placeholder for script colors
        0x07,//0x01,                       // White
        0x3D,                       // Red
        0x5d,//0x6C,                       // Dark Red
        0x1E,                       // Light Red
        0x81,//0x90,                       // Green
        0x5A,                       // Dark Green
        0x59,                       // Light Green
        0x5e,//0x6D,                       // Blue
        0x94,//0xa1,                       // Dark Blue
        0x82,//0x96,                       // Light Blue / Cyan
        0x16,//0x1a,                       // Grey
        0x1A,                       // Dark Grey
        0x11,                       // Light Grey
        0x51,//0x2D,                       // Yellow
        0x9b,//0x1E,                       // Dark Yellow
        0x5c,//0x20,                       // Light Yellow
        0xf1,//0x1A,                       // Transparent Dark Grey
        0xf7,//0x3D,                       // NO Magenta
};

