// CHDK palette colors for the ixus870_sd880
// Define color values as needed in this file.

#include "palette.h"
#include "platform_palette.h"

// Playback mode colors
unsigned char ply_colors[] =
{
        COLOR_TRANSPARENT,          // Placeholder for script colors
        COLOR_BLACK,                // Placeholder for script colors
        0x11,                       // White
        0x22,                       // Red
        0x2f,//0x2E,                       // Dark Red
        0x21,                       // Light Red
        0x55,                       // Green
        0x25,                       // Dark Green
        0x51,                       // Light Green
        0xaa,//0xCC,                       // Blue
        0xfa,//0xDF,                       // Dark Blue
        0x99,//0xDD,                       // Light Blue / Cyan
        0x3F,                       // Grey
        0x44,                       // Dark Grey
        0x1F,                       // Light Grey
        0x66,                       // Yellow
        0x86,//0x6F,                       // Dark Yellow
        0x16,//0x66,                       // Light Yellow
        0x4d,//0x44,                       // Transparent Dark Grey
        0xE2,                       // Magenta
};

// Record mode colors
unsigned char rec_colors[] =
{
        COLOR_TRANSPARENT,          // Placeholder for script colors
        COLOR_BLACK,                // Placeholder for script colors
        0x11,                       // White
        0x22,                       // Red
        0x2f,//0x2E,                       // Dark Red
        0x21,                       // Light Red
        0x55,                       // Green
        0x25,                       // Dark Green
        0x51,                       // Light Green
        0x47,//0xDF,                       // Blue
        0xDF,                       // Dark Blue
        0xDD,                       // Light Blue / Cyan
        0x3F,                       // Grey
        0x44,                       // Dark Grey
        0x1F,                       // Light Grey
        0x66,//0xEE,                       // Yellow
        0x62,//0x6F,                       // Dark Yellow
        0x16,//0x66,                       // Light Yellow
        0x44,                       // Transparent Dark Grey
        0x7e,//0x66,                       // Magenta
};

