// CHDK palette colors for the sx230hs
// Define color values as needed in this file.

#include "palette.h"
#include "platform_palette.h"

// Playback mode colors
unsigned char ply_colors[] =
{
        COLOR_TRANSPARENT,          // Placeholder for script colors
        COLOR_BLACK,                // Placeholder for script colors
        0x07,                       // White
        0xA8, //(CHDK_COLOR_BASE+0),        // Red
        0xA9, //(CHDK_COLOR_BASE+1),        // Dark Red
        0x9F, //(CHDK_COLOR_BASE+2),        // Light Red
        0xA0, //(CHDK_COLOR_BASE+3),        // Green
        0xAC, //(CHDK_COLOR_BASE+4),        // Dark Green
        0xAD, //(CHDK_COLOR_BASE+5),        // Light Green
        0xAE, //(CHDK_COLOR_BASE+6),        // Blue
        0xAF, //(CHDK_COLOR_BASE+7),        // Dark Blue
        0xB0, //(CHDK_COLOR_BASE+8),        // Light Blue / Cyan
        0x16,                       // Grey
        0x1a,                       // Dark Grey
        0x0E,                       // Light Grey
        0xB2, //(CHDK_COLOR_BASE+10),       // Yellow
        0x92, //(CHDK_COLOR_BASE+11),       // Dark Yellow
        0x90, //(CHDK_COLOR_BASE+12),       // Light Yellow
        0x98, //(CHDK_COLOR_BASE+13),       // Transparent Dark Grey
        0xB1, //(CHDK_COLOR_BASE+9),        // Magenta
};

// Record mode colors
unsigned char rec_colors[] =
{
        COLOR_TRANSPARENT,          // Placeholder for script colors
        COLOR_BLACK,                // Placeholder for script colors
        0x07,                       // White
        0xA8, //(CHDK_COLOR_BASE+0),        // Red
        0xA9, //(CHDK_COLOR_BASE+1),        // Dark Red
        0x6C, //(CHDK_COLOR_BASE+2),        // Light Red
        0xAC, //(CHDK_COLOR_BASE+3),        // Green
        0x5A, //(CHDK_COLOR_BASE+4),        // Dark Green
        0xAD, //(CHDK_COLOR_BASE+5),        // Light Green
        0xAE, //(CHDK_COLOR_BASE+6),        // Blue
        0xAF, //(CHDK_COLOR_BASE+7),        // Dark Blue
        0xB0, //(CHDK_COLOR_BASE+8),        // Light Blue / Cyan
        0x16,                       // Grey
        0x1C, //0x1a,                       // Dark Grey
        0x10, //0x0E,                       // Light Grey
        0xB2, //(CHDK_COLOR_BASE+10),       // Yellow
        0xB3, //(CHDK_COLOR_BASE+11),       // Dark Yellow
        0xB4, //(CHDK_COLOR_BASE+12),       // Light Yellow
        0xF1, //(CHDK_COLOR_BASE+13),       // Transparent Dark Grey
        0xB1, //(CHDK_COLOR_BASE+9),        // Magenta
};

